Subject: Re: [net-next V9 14/14] net/mlx5: Add devlink subfunction port documentation

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 25 Jan 2021 09:06:54 -0400

On Sat, Jan 23, 2021 at 12:09:15PM -0800, Samudrala, Sridhar wrote:

> > The other aux devices represent the subsystem split of the mlx5 driver
> > - mlx5_core creates them and each subsystem in turn binds to the
> > mlx5_core driver. This already exists, and Intel will be doing this as
> > well whenever the RDMA driver is posted again..
> 
> Yes. I see that the intel RDMA patches are now submitted. We are
> creating an aux device to expose RDMA functionality, but  not
> planning to create an aux device for ethernet subsystem on a PF/SF
> as the function-level pci/aux device can represent the default
> ethernet.

That is because the ethernet and shared code are all in the same
module

You may find this becomes inconvenient when you want to add something
like SF, where there is alot of merit to having uniformity in the
ethernet driver.

Jason